#! /usr/bin/env python
# ===================================================================
# file:   bandplot.py
# author: k.koepernik@ifw-dresden.de
# date:   19 Apr 2017
from __future__ import print_function
import sys
import pyfplo.fploio as fploio
# ===================================================================
# 
# ===================================================================
def work():


    print( '\nThis example shows simple low level =.in writing.')
    print( 'DO NOT DO THIS UNLESS YOU ARE CONFIDENT YOUR DOING THE '+
        'RIGHT THING.\n')
    p=fploio.INParser()
    p.parseFile('=.in')
    d=p()
    d('bzone_integration.nkxyz').listL=[16,16,16]
    d('spin.mspin').L=2
    d('relativistic.type').L=3
    # This illustrates one of the problems with the low level.
    # In order to keep =.in consistent for human readers
    # we should set the descriptions too.
    # It is better to use pyfplo.fedit instead.
    d('relativistic.description').S='full relativistic'
    p.writeFile('=.in')

    print( 'done')
    
    
    return

# ===================================================================
# 
# ===================================================================

if __name__ == '__main__':

    work()
    
    sys.exit(0)




